import adb_bindings
import adb_bindings.adb
from adb_bindings.grid import Grid
from datetime import datetime, timedelta
from adb_bindings.randomize import random_sleep_between_second, random_sleep_between_millisecond, random_between

adb: adb_bindings.adb.Adb = adb_bindings.list_devices()[0]

inventory = Grid(1916, 462, 2254, 975, 7, 4)

for col in range(1,5):
    for row in range(1,8):
        if row == 1 and col == 1:
            continue
        adb.tap_center_of_grid_cell(inventory, 1 , 1)
        random_sleep_between_millisecond(100,200)
        print(f"{row} {col}")
        adb.tap_center_of_grid_cell(inventory, row, col)
        random_sleep_between_millisecond(100,200)